DB_MULTIPLE_RESERVE_NEXT
Prev | Chapter 4. The DBT Handle | Next

## DB_MULTIPLE_RESERVE_NEXT

    #include <db.h>

    DB_MULTIPLE_RESERVE_NEXT(void *pointer, DBT *dbt,
        void *ddest, size_t dlen);

Reserves space for a data item in a bulk buffer.

### Parameters

#### pointer

The pointer parameter is a variable that must have been initialized by a call to DB_MULTIPLE_WRITE_INIT.

#### ddest

The ddest parameter is set to the location reserved in the bulk buffer for the data item.

This parameter is set to NULL if the data item does not fit in the buffer.

#### dlen

The number of bytes to be reserved for the data item.

### Class

DBT

### See Also

DBT and Bulk Operations

Prev | Up | Next
DB_MULTIPLE_WRITE_NEXT | Home | DB_MULTIPLE_KEY_WRITE_NEXT